Page MenuHomePhabricator

Allow users at all private/fishbowl wikis to use botpasswords
Closed, ResolvedPublic

Description

Recently, some private wikis requested botpasswords to be enabled at their wikis. This was okay'ed by Security-Team in T159519, and done by @Reedy for some wikis in T246489 and T254925, and I cannot figure out a reason why this shouldn't be done for all new private wikis right away, as it's generally an useful feature.

Event Timeline

Urbanecm created this task.Jul 19 2020, 6:21 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 19 2020, 6:21 PM
Urbanecm triaged this task as Low priority.Jul 19 2020, 6:24 PM
sbassett assigned this task to Reedy.Jul 20 2020, 3:34 PM
sbassett moved this task from Incoming to Back Orders on the Security-Team board.

I was wondering whether new fishbowl/private wikis will get the bot_passwords table. Since arbcom_ruwiki got created recently, and it has the table, this should be just a matter of a single config change.

Change 631423 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Enable bot passwords at all fishbowl and private wikis

https://gerrit.wikimedia.org/r/631423

Reedy added a comment.Oct 1 2020, 1:56 PM

I was wondering whether new fishbowl/private wikis will get the bot_passwords table. Since arbcom_ruwiki got created recently, and it has the table, this should be just a matter of a single config change.

The table is in tables-generated.sql these days, so yeah, all wikis should get it (including the private ones) on creation.

Any wikis that pre-date the table being created, and are private won't have had the table created there retrospectively; so those will need creating first

Mentioned in SAL (#wikimedia-operations) [2020-10-01T14:35:33Z] <Urbanecm> Create bot_passwords table at all private wikis (T258356)

I was wondering whether new fishbowl/private wikis will get the bot_passwords table. Since arbcom_ruwiki got created recently, and it has the table, this should be just a matter of a single config change.

[...]
Any wikis that pre-date the table being created, and are private won't have had the table created there retrospectively; so those will need creating first

Done:

[urbanecm@mwmaint2001 ~/private-botpassword-T258356]$ cat print_no_botpasswords.sh
#!/bin/bash

foreachwikiindblist private.dblist mysql.php -- -e 'SHOW TABLES LIKE "bot_%"' > raw_out.txt
grep : raw_out.txt | grep -v Tables | cut -d: -f 1 > has_botpassword.txt
grep -vf has_botpassword.txt /srv/mediawiki/dblists/private.dblist | grep -v NOTE
[urbanecm@mwmaint2001 ~/private-botpassword-T258356]$ bash print_no_botpasswords.sh > no_botpassword.txt
[urbanecm@mwmaint2001 ~/private-botpassword-T258356]$ for wiki in $(cat no_botpassword.txt); do mwscript mysql.php --wiki=$wiki --write < /srv/mediawiki/php-1.36.0-wmf.10/maintenance/archives/patch-bot_passwords.sql; done
[urbanecm@mwmaint2001 ~/private-botpassword-T258356]$ bash print_no_botpasswords.sh
[urbanecm@mwmaint2001 ~/private-botpassword-T258356]$

Mentioned in SAL (#wikimedia-operations) [2020-10-02T13:37:53Z] <Urbanecm> Create bot_passwords table at fishbowl wikis (T258356)

Urbanecm claimed this task.Oct 7 2020, 11:18 AM
Restricted Application added a project: User-Urbanecm. · View Herald TranscriptOct 7 2020, 11:18 AM

Change 631423 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable bot passwords at all fishbowl and private wikis

https://gerrit.wikimedia.org/r/631423

Mentioned in SAL (#wikimedia-operations) [2020-10-07T11:22:12Z] <urbanecm@deploy1001> Synchronized wmf-config/InitialiseSettings.php: f85bc3056f809910c0487fb0b0559b3de92b1992: Enable bot passwords at all fishbowl and private wikis (T258356) (duration: 00m 58s)

Urbanecm closed this task as Resolved.Oct 9 2020, 7:08 PM
Urbanecm added a project: User-notice.

Perhaps warrants an user notice?

The change: All users at all private/fishbowl wikis can now use botpasswords feature.

Trizek-WMF added a subscriber: Trizek-WMF.

Thank you for suggesting this item for Tech News. However, according to the inclusion criteria, this change is not under TN's scope.

Tech News is a newsletter documenting technical changes to the Wikimedia sites that affect Wikimedia editors.

Suggesting this item is a good thing: it is better to suggest a possible item than not suggesting one! :)